Previous: symcryptrun, Up: Helper Tools

### 7.11 Encrypt or sign files into an archive

`gpg-zip` encrypts or signs files into an archive. It is an gpg-ized tar using the same format as used by PGP's PGP Zip.

`gpg-zip` is invoked this way:

         gpg-zip [options] filename1 [filename2, ...] directory [directory2, ...]

`gpg-zip` understands these options:

`--encrypt`
`-e`
  Encrypt data. This option may be combined with `--symmetric` (for output that may be decrypted via a secret key or a passphrase).
`--decrypt`
`-d`
  Decrypt data.
`--symmetric`
`-c`
  Encrypt with a symmetric cipher using a passphrase. The default symmetric cipher used is CAST5, but may be chosen with the `--cipher-algo` option to `gpg`.
`--sign`
`-s`
  Make a signature. See `gpg`.
`--recipient` user
`-r` user
  Encrypt for user id user. See `gpg`.
`--local-user` user
`-u` user
  Use user as the key to sign with. See `gpg`.
`--list-archive`
  List the contents of the specified archive.
`--output` file
`-o` file
  Write output to specified file file.
`--gpg` gpgcmd
  Use the specified command gpgcmd instead of `gpg`.
`--gpg-args` args
  Pass the specified options to `gpg`.
`--tar` tarcmd
  Use the specified command tarcmd instead of `tar`.
`--tar-args` args
  Pass the specified options to `tar`.
`--version`
  Print version of the program and exit.
`--help`
  Display a brief help page and exit.

The program returns 0 if everything was fine, 1 otherwise.

Some examples:

Encrypt the contents of directory `mydocs` for user Bob to file `test1`:

         gpg-zip --encrypt --output test1 --gpg-args  -r Bob mydocs

List the contents of archive `test1`:

         gpg-zip --list-archive test1